package com.cmvr.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FileType {

    /**
     * 其他
     */
    OTHER(0, "其他"),
    /**
     * 普通文件
     */
    FILE(1, "文件"),
    /**
     * 图片
     */
    IMAGE(2, "图片"),
    /**
     * 音频
     */
    AUDIO(3, "音频"),
    /**
     * 视频
     */
    VIDEO(4, "视频"),
    ;

    private final Integer code;

    private final String desc;


    public Integer code() {
        return this.code;
    }

    public static FileType getByCode(Integer code) {
        for (FileType type : FileType.values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        throw new IllegalArgumentException("文件类型错误！");
    }
}

